import java.util.*;
import java.awt.*;
/**
 * ImageIconAwt - a class that produces a lightweight ImageIcon like in Swing that can be added to a Panel.
 * Author: Neil Moomey, www.neilmoomey.com
 */
public class ImageIconAwt extends Component {

 Image image;
  
  /**
   * Constructs a ImageIconAwt with the specified Image.
   */
  public ImageIconAwt(Image image) {
      this.image = image;
  }
  
  /**
   * paints the ImageIconAwt
   */
  public void paint(Graphics g) {
	 g.drawImage(image, 0,0, this);
  }
}

